[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TCustomDaemonMapper.Create

Create a new instance of TCustomDaemonMapper

## Declaration

Source position: daemonapp.pp line 285

`public constructor TCustomDaemonMapper.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Instance owner

## Description

Create creates a new instance of a TCustomDaemonMapper. It creates the TDaemonDefs collection and then calls the inherited constructor. It should never be necessary to create a daemon mapper manually, the application will create a global TCustomDaemonMapper instance.

## See also

TDaemonDefs |  | Collection of daemon definitions.
TCustomDaemonApplication |  | Custom daemon application class
TCustomDaemonMapper.Destroy |  | Clean up and destroy a TCustomDaemonMapper instance.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .